[**Flutter ETS API Documentation v1.0.0**](../../../README.md)

***

# Interface: SurfaceTextureEntry

Entry representing a surface texture registered with the texture registry.

## Methods

### getNativeWindowId()

> **getNativeWindowId**(): `number`

#### Returns

`number`

***

### getSurfaceId()

> **getSurfaceId**(): `number`

#### Returns

`number`

***

### getTextureId()

> **getTextureId**(): `number`

#### Returns

`number`

***

### release()

> **release**(): `void`

#### Returns

`void`
